Bug 1119734 - power: RequestPowerStateChange() does not report any error
Summary: power: RequestPowerStateChange() does not report any error
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: openlmi-providers
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Radek Novacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 11:58 UTC by Jan Safranek
Modified: 2016-12-01 00:33 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 11:56:03 UTC


Attachments (Terms of Use)

Description Jan Safranek 2014-07-15 11:58:58 UTC
Description of problem:
LMI_PowerManagementService.RequestPowerStateChange does not report any error when the user is not authorized to reboot/shut down a machine.

Version-Release number of selected component (if applicable):
openlmi-providers-0.4.2-2.fc20


Steps to Reproduce:
1. (with polkit patches) lmi -h http://tester:heslo@rawhide:5988 power poweroff

Actual results:
no error shown

Expected results:
Error: Unable to call: PowerOff

Additional info:
"Unable to call: PowerOff" is in syslog, the provider knows the action did not succeed. RequestPowerStateChange() should return a job and mark it completed (or 'started'?) when systemd acknowledges 'poweroff' call. The job then naturally dies (this must be documented!). Lmi script should then wait for the job to change state to 'error' or 'started' or to disappear (or the CIMOM dies).

Comment 1 Jaroslav Reznik 2015-03-03 16:07:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora End Of Life 2016-07-19 11:56:03 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.